Natural language search
curl --request POST \
--url https://api.kynva.ai/api/v1/templates/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "<string>",
"limit": 10,
"filters": {
"platforms": [
"<string>"
],
"aspectRatios": [
"<string>"
],
"tier": [
"<string>"
]
}
}
'import requests
url = "https://api.kynva.ai/api/v1/templates/search"
payload = {
"query": "<string>",
"limit": 10,
"filters": {
"platforms": ["<string>"],
"aspectRatios": ["<string>"],
"tier": ["<string>"]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
query: '<string>',
limit: 10,
filters: {platforms: ['<string>'], aspectRatios: ['<string>'], tier: ['<string>']}
})
};
fetch('https://api.kynva.ai/api/v1/templates/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"query": "<string>",
"interpretation": {},
"templates": "<array>",
"suggestions": [
"<string>"
]
}
}Templates
Natural language search
Search templates using natural language queries
POST
/
api
/
v1
/
templates
/
search
Natural language search
Authorizations
Your Kynva API key (kyn_live_xxx or kyn_test_xxx; legacy rf_ keys remain valid)
Body
application/json
⌘I